/* $Id: crc32_main.c 39 2007-01-17 06:26:22Z selinger $ */ 
/* user interface for crc32 */

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "traverse.h"
#include "hash.h"
#include "crc32.h"

static char *shortdesc = 
  "Computes the CRC32 checksum of a stream or of one or more files.\n";

int main(int ac, char *av[]) {
  hash_object_t *h;

  /* set up hash object */
  h = crc32_new();
  if (!h) {
    fprintf(stderr, ""NAMECRC32": %s\n", strerror(errno));
    exit(1);
  }

  return traverse(ac, av, h, NAMECRC32, shortdesc);
}
