/* $Id: sha1_main.c 39 2007-01-17 06:26:22Z selinger $ */ 
/* user interface for sha1 */

#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "traverse.h"
#include "hash.h"
#include "sha1.h"

static char *shortdesc = 
  "Computes the SHA-1 hash of a stream or of one or more files.\n";

int main(int ac, char *av[]) {
  hash_object_t *h;

  /* set up hash object */
  h = sha1_new();
  if (!h) {
    fprintf(stderr, ""NAMESHA1": %s\n", strerror(errno));
    exit(1);
  }

  return traverse(ac, av, h, NAMESHA1, shortdesc);
}
